MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
00001393D-Coat v3.xOtherpublic2011-02-06 06:312011-02-16 17:11
Reporterpbowmar 
Assigned ToAndrew 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOpenSuse 11.3OSLinuxOS Version64 bit
Product Version 
Target VersionFixed in Version 
Summary0000139: Problems with Masks: Add Existing Folder
DescriptionI have a folder with a set of .tga files in it.

I Add Existing Folder but the images are not added.

Looking in the Log.txt, I saw this:

PenInterface::AddExistPenFolder : /home/pbowmar/3dc/masks/kd/kd_indust_01.tga
ItemsFolder::AddFolder : textures\masks\kd : 1
Loaded image file "textures\masks\kd\kd_indust_01_prv.tga"
Loaded image file "textures\patterns\NewFolder\kd_indust_01.tga"


Note that I'm adding a Mask not a Pen.

Also, note the "NewFolder" which is in $HOME/3D-CoatV3/* inside which has the .mclp files from the 3dc/masks/kd directory.

If I click the + button and add the kd_indust_01.tga manually, it copies that file over to $HOME/3D-CoatV3/textures/masks/kd and makes the correct _prv file as well.

Possibly relevant: Before I did all this I had a virgin $HOME/3D-CoatV3 directory auto-created the first time I started 3DC. It had "Masks" instead of "masks" and things worked even less :) I manually (looking at the log) renamed Masks to masks and then I could manually add the Masks as described above.

I suspect there is some legacy Windows case-insensitive code in there :)
Additional InformationThis is actually 3.5.11 but that's not in the Product Version list.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000208)
pbowmar (reporter)
2011-02-06 06:39

Also, I notice that the built-in "textures/Masks/Lines" for example don't save their _prv files until I renamed the "Masks" to "masks" (the Log indicated it was trying to use "masks" which tipped me off).

Clearly, there is a mismatch between the install "Masks" and the $HOME/3D-CoatV3 "masks"

Good news though, if I manually copy the dir over the "textures/masks" then start 3DC it makes the _prv files for me OK.
(0000225)
Andrew (administrator)
2011-02-09 08:20

fixed after 3.5.11B
(0000301)
haikalle (developer)
2011-02-16 17:11

Fixed.

- Issue History
Date Modified Username Field Change
2011-02-06 06:31 pbowmar New Issue
2011-02-06 06:39 pbowmar Note Added: 0000208
2011-02-09 08:20 Andrew Note Added: 0000225
2011-02-09 08:20 Andrew Status new => resolved
2011-02-09 08:20 Andrew Resolution open => fixed
2011-02-09 08:20 Andrew Assigned To => Andrew
2011-02-16 17:11 haikalle Note Added: 0000301
2011-02-16 17:11 haikalle Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker